' AutoWbOpti.bas for FilmStar DESIGN
' Copyright 2017 FTG Software
' Simple example of automated Workbook optimization

Option Explicit
Option Base 1
DefSng A-H, O-Z
DefInt i-N
Const DesPath$ = "C:\Winfilm\Designs\"
Const WbPath$ = "C:\Winfilm\Workbook\"
Const SvDes As Boolean = False

Sub Main
    Dim Des$(3), DesOpti$(3), Mer!(3), i%
    ' hidden Workbook runs a little faster
    WbOpenHidden WbPath$ & "BBAR_AutoOpti.vts"
    DoEvents  ' make sure workbook open
    PlotClose
    FileOpen DesPath$ & "BBAR4.faw"
    Des(1) = Design: WbOptimize: DesOpti(1) = Design
    If SvDes Then FileSave DesPath$ & "BBAR4_Opti.faw"
    Mer(1) = WbGetNum("$E$5")
    FileOpen DesPath$ & "BBAR6.faw"
    Des(2) = Design: WbOptimize: DesOpti(2) = Design
    If SvDes Then FileSave DesPath$ & "BBAR6_Opti.faw"
    Mer(2) = WbGetNum("$E$5")
    FileOpen DesPath$ & "BBAR8.faw"
    Des(3) = Design: WbOptimize: DesOpti(3) = Design
    If SvDes Then FileSave DesPath$ & "BBAR8_Opti.faw"
    Mer(3) = WbGetNum("$E$5")
    WbExit
    For i = 1 To 3
        PlotLegend(i) = CStr(2+2*i) & " Layer: " & Format$(Mer(i), "0.000")
    Next i
    PlotActivate
    For i = 1 To 3
        Design = DesOpti(i): Calculate
        PlotNext
    Next i
End Sub
